/*
 * @author Walther Neuper, member of the ISAC-team, 
 * Copyright (c) 2007 by Walther Neuper
 * created Jul 18, 2007 3:34:54 PM
 * Institute for Softwaretechnology, Graz University of Technology, Austria.
 * 
 * Use is subject to PGPL license terms.
 */
package isac.gui;

import java.awt.event.ActionEvent;

import org.apache.log4j.Logger;

import isac.browserdialog.IBrowserDialog;
import isac.gui.browser.BrowserFrame;
import isac.gui.browser.BrowserFrameSwing;
import isac.useractions.IUIAction;
import isac.util.formulae.Context;

import junit.framework.TestCase;

/**
 * a minimal BrowserFrame preparing for the servlet-version; shall be named
 * 'BrowserFrameStub'
 */
public class MockBrowserFrame extends BrowserFrame {

    static final long serialVersionUID = -1817863354068154971L;

    private static final Logger logger = Logger
            .getLogger(MockBrowserFrame.class.getName());

    /**
     * @param bdialog
     *            is ExampleDialog | TheoryDialog | Pbl | Met the only
     *            difference between the instances
     * @param title
     *            for BrowserFrame
     * 
     */
    public MockBrowserFrame(IBrowserDialog bdialog, String title) {
        super(bdialog, title);
        TestCase
                .assertNotNull(
                        "MockBrowserFrame#super() sets browser_dialog_ of BrowserFrame",
                        browser_dialog_);
        // title to be transferred to the respective part of the Tab
    }

}
